
GammaLib - Action #1430

Use gammalib::xml_parcheck() in all XML parameter checks.

02/21/2015 08:47 PM - Knödlseder Jürgen

Status: Closed Start date: 02/21/2015

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.5.0   

Description

To standardise the XML parameter checks a function gammalib::xml_parcheck() has been added to the GTools.hpp support module.

This method throws exceptions in case that the XML parameter has not be found (or multiple parameters have been found). All

methods where parameters are checked should now make use of this function.

History

#1 - 06/21/2016 10:08 PM - Knödlseder Jürgen

- Target version set to 1.2.0

#2 - 03/03/2017 10:20 AM - Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.3.0

#3 - 06/06/2017 10:26 PM - Knödlseder Jürgen

- Subject changed from Use gammalib::xml_parcheck() in a XML parameter checks. to Use gammalib::xml_parcheck() in all XML parameter checks.

- Target version changed from 1.3.0 to 1.4.0

#4 - 07/31/2017 11:10 PM - Knödlseder Jürgen

- Target version changed from 1.4.0 to 1.5.0

#5 - 01/16/2018 03:39 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

All model classes now use the XML support functions.

Merged into devel.
